As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 700498 - Clean up some StringBuffer helper methods
: Clean up some StringBuffer helper methods
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 16:16 PST by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-12-13 17:18 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Patch (1.33 KB, patch)
2011-11-07 16:16 PST, Jeff Walden [:Waldo] (remove +bmo to email)
cdleary: review+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-07 16:16:10 PST
Created attachment 572669 [details] [diff] [review]
Patch

append doesn't need to take a JSAtom*, it can just take a JSLinearString*.  That lets us not try to linearize strings that are known to be linear but which aren't also atoms.
Comment 1 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-07 17:42:54 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/7ee634818139
Comment 2 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-07 17:43:55 PST
Comment on attachment 572669 [details] [diff] [review]
Patch

I may have a branch patch or two which will build upon these changes, so it would be helpful to me if this were also landed on branches.
Comment 4 User image Ed Morley [:emorley] 2011-11-08 01:25:07 PST
https://hg.mozilla.org/mozilla-central/rev/7ee634818139
Comment 5 User image Alex Keybl [:akeybl] 2011-11-08 14:56:11 PST
[Triage Comment]
Since this has been requested for both aurora and beta, and is in a sensitive area of code, would you mind providing a risk assessment? If considered low-risk, we'll try to approve for landing this week.
Comment 6 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-09 15:15:50 PST
It's low-risk -- the code's short and easy to understand, and the changes are simple.

Note that this landed before the merge, so it's already in mozilla-aurora, which I guess means this request is only for mozilla-beta.
Comment 7 User image Curtis Koenig [:curtisk-use curtis.koenig+bzATgmail.com]] 2011-11-09 17:28:17 PST
Marking sec-review-needed per email from akeybl
Comment 8 User image christian 2011-11-15 13:35:04 PST
Comment on attachment 572669 [details] [diff] [review]
Patch

[triage comment]
Approved for beta. Please land as soon as possible.
Comment 9 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-15 15:56:19 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/56f23b76a678

Thanks for working with me regarding comment 2!
Comment 10 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-01 14:50:58 PST
Normally we would QA- code-cleanup bugs, but based on other comments in this bug I am wondering if there is anything special QA needs to verify.
Comment 11 User image Alex Keybl [:akeybl] 2011-12-13 16:11:33 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #10)
> Normally we would QA- code-cleanup bugs, but based on other comments in this
> bug I am wondering if there is anything special QA needs to verify.

[Triage Comment]
Would somebody mind addressing Anthony's question by tomorrow at 12:00PM PT 12/14? We will be holding our FF9 sign-offs later that afternoon, and need to be able to verify. Thanks!
Comment 12 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-12-13 16:58:19 PST
Oops, sorry, missed this at the time.

I'd say probably not.  The patch is small enough that simply by observation it's fine.  And the compiler may end up being smart enough to see through the changes here and make things work most optimally anyway, depending.  So take your time with trickier changes than this, I think.
Comment 13 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-13 17:18:30 PST
QA- based on comment 12.

Note You need to log in before you can comment on or make changes to this bug.